Bug #166
closed
/etc/cron.daily/*: start-stop-daemon: not found
Added by Igor Pashev about 11 years ago.
Updated over 10 years ago.
Description
Date: Wed, 08 Jan 2014 06:27:25 +0400
From: Cron Daemon <root@bok>
To: root@bok
Subject: Cron <root@bok> test -x /usr/sbin/anacron || ( cd / && run-parts --report /etc/cron.daily )
/etc/cron.daily/exim4-base:
xargs: start-stop-daemon: No such file or directory
run-parts: /etc/cron.daily/exim4-base exited with return code 123
/etc/cron.daily/man-db:
/etc/cron.daily/man-db: 30: /etc/cron.daily/man-db: start-stop-daemon: not found
run-parts: /etc/cron.daily/man-db exited with return code 127
Files
It looks like start-stop-daemon was intentionally left out of the dpkg package, because it does not build on Dyson. The attach patch adds Dyson/Illumos support to start-stop-daemon, which should fix this issue after rebuilding dpkg to include start-stop-daemon.
Hi Justin!
start-stop-daemon
is actually not useful on Dyson because of SMF.
And yes, it had portability problems and I had no motivation to fix it.
Usage of start-stop-daemon
in exim4 cron job is quite trivial and has a fallback:
88 # run tidydb as Debian-exim:Debian-exim.
89 if [ -x /usr/sbin/exim_tidydb ]; then
90 cd $SPOOLDIR/db || exit 1
91 if ! find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
92 -or -type f -printf '%f\0' | \
93 xargs -0r -n 1 \
94 start-stop-daemon --start --exec /usr/sbin/exim_tidydb \
95 --chuid Debian-exim:Debian-exim -- $SPOOLDIR > /dev/null; then
96 # if we reach this, invoking exim_tidydb from start-stop-daemon has
97 # failed, most probably because of libpam-tmpdir being in use
98 # (see #373786 and #376165)
99 find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
100 -or -type f -printf '%f\0' | \
101 su - --shell /bin/bash \
102 --command "xargs -0r -n 1 /usr/sbin/exim_tidydb $SPOOLDIR > /dev/null" \
103 Debian-exim
104 fi
105 fi
So I haven't decided yet: what to fix :-)
In any way having start-stop-daemon
back will not hurt. Thanks!
- Status changed from New to Resolved
dpkg provides start-stop-daemon since version 1.17.10~dyson2. Thanks!
- Status changed from Resolved to Closed
Also available in: Atom
PDF